import path from "path";
import fs from "fs";
const schemaDefaults = [
    "schema.docs-enterprise.graphql",
    "schema.docs.graphql",
    "api.github.com.json",
];
export function getSchema(schemaFile) {
    let root = path.join(__dirname, "..").endsWith("dist")
        ? path.join(__dirname, "..", "..")
        : path.join(__dirname, "..");
    const fileString = fs.readFileSync(schemaDefaults.includes(schemaFile)
        ? path.join(root, "schema", schemaFile)
        : schemaFile, "utf-8");
    return schemaFile.endsWith(".json") ? JSON.parse(fileString) : fileString;
}
//# sourceMappingURL=utils.js.map